org.faceless.pdf2.viewer2.feature

## Class XFA

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.feature.XFA

-     public class XFA
      extends ViewerWidget

  A class which suppressed warnings about missing XFA support in the PDF Viewer when JavaScript is supported. In the future this may well form the basis of XFA support in the viewer, but for now it's largely a no-op. The name of this feature is XFA

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XFA()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCustomJavaScript(String type, String name)` Return any custom JavaScript that needs to be run by this feature on the specified JavaScript event.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `action, createActionListener, getComponent, getIcon, getViewer, initialize, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XFA

          public XFA()

  - ### Method Detail

    - #### getCustomJavaScript

          public String getCustomJavaScript(String type,
                                            String name)

      Description copied from class: `ViewerFeature`
      Return any custom JavaScript that needs to be run by this feature on the specified JavaScript event. Unlike JavaScript from the document, this JavaScript will be run outside the security sandbox so will have the same permissions as the Viewer applet or application. The default implementation returns `null`.
      Overrides:
        `getCustomJavaScript` in class `ViewerFeature`
      Parameters:
        `type` - the Event type : "App", "Doc" etc.
        `name` - the Event name : "Init", "Open", "WillClose" etc.

Copyright © 2001-2015 Big Faceless Organization